@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
/* font-family: "Roboto", sans-serif; */
/*
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@600&display=swap');
*/

@import url('https://fonts.cdnfonts.com/css/herr-von-muellerhoff');
/*  font-family: 'Herr Von Muellerhoff', sans-serif; */

@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@600&display=swap');


#cmz-about-modal{
  z-index: 1;
}

body{
  font-family: "Roboto", sans-serif;
}
@keyframes logoReveal {
  0% {
    opacity: 0;
    letter-spacing: 0.8em;
    transform: scale(1.1);
  }
  100% {
    opacity: 1;
    letter-spacing: 0.3em;
    transform: scale(1);
  }
}
.animate-logo {
  animation: logoReveal 1.8s ease forwards;
}

/* skip button start */

.premium-skip-btn {
  position: relative;
  display: inline-block;
  box-shadow: 0 0 15px rgba(255,255,255,0.6);
  transition: box-shadow 0.3s ease;
  animation: premiumShake 3s ease-in-out infinite;
}

/* 🔥 Animated Border */
/* .premium-skip-btn::before {
  content: "";
  position: absolute;
  inset: -2px;
  border-radius: 9999px;
  background: linear-gradient(
    120deg,
    transparent,
    rgb(255, 23, 178),
    transparent
  );
  background-size: 200% 200%;
  animation: borderMove 2s linear infinite;
  z-index: -1;
} */

@keyframes borderMove {
  0% { background-position: 0% 50%; }
  100% { background-position: 200% 50%; }
}

/* ✨ Premium Shake (Subtle + Premium) */
@keyframes premiumShake {
  0%, 90%, 100% { transform: translateX(0); }
  92% { transform: translateX(-3px); }
  94% { transform: translateX(3px); }
  96% { transform: translateX(-2px); }
  98% { transform: translateX(2px); }
}

.premium-skip-btn:hover {
  box-shadow: 0 0 25px rgba(255,255,255,0.9);
  animation: none; /* hover করলে shake বন্ধ */
}

/* end button */

.thumbnail-pagination {
  position: absolute;
  right: 40px !important;
  bottom: 40px !important;
  width: auto !important;
  display: flex;
  gap: 10px;
}

.thumbnail-pagination .swiper-pagination-bullet {
  width: 80px;
  height: 60px;
  border-radius: 10px;
  background-size: cover;
  background-position: center;
  opacity: 0.5;
  transition: all 0.4s ease;
  border: 2px solid transparent;
}

.thumbnail-pagination .swiper-pagination-bullet-active {
  opacity: 1;
  border: 2px solid white;
  transform: scale(1.05);
}

.logo-bg {
  background: white;       /* ash background */
  padding: 2px;
  margin-top: 6px;
  border-radius: 4px;
  box-shadow: 0 0 10px rgba(0,0,0,.3);
  display: inline-block;
}

.logo-img {
  width: 82px;
}

/* menu start */
.nav-link {
  position: relative;
  transition: 0.4s;
}
.nav-link::after {
  content: "";
  position: absolute;
  width: 0%;
  height: 1px;
  bottom: -6px;
  left: 0;
  background: linear-gradient(to right, #f472b6, #fb7185);
  transition: 0.4s;
}
.nav-link:hover::after {
  width: 100%;
}
.nav-link:hover {
  color: #fda4af;
}

.dropdown-item {
  display: block;
  padding: 14px 24px;
  position: relative;
  transition: 0.4s;
}
.dropdown-item:hover {
  background: rgba(255,255,255,0.05);
}
.dropdown-item::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 3px;
  height: 0%;
  background: linear-gradient(to bottom, #f472b6, #fb7185);
  transition: 0.4s;
}
.dropdown-item:hover::before {
  height: 100%;
}
.mobile-link {
  transition: 0.3s;
}
.mobile-link:hover {
  color: #fb7185;
  transform: translateX(5px);
}

.mobile-sub:hover {
  color: #fb7185;
}
/* menu end */

/* Ken Burns Effect */
.heroMain .swiper-slide-active .main-img {
  animation: zoomEffect 8s ease-in-out forwards;
}

@keyframes zoomEffect {
  0% { transform: scale(1); }
  100% { transform: scale(1.15); }
}

/* Parallax overlay */
.overlay {
  backdrop-filter: blur(2px);
  transition: all 1s ease;
}

/* Thumbnail Styling */
.heroThumb .swiper-slide {
  opacity: 0.4;
  transform: scale(0.9);
  transition: all 0.4s ease;
}

.heroThumb .swiper-slide-thumb-active {
  opacity: 1;
  transform: scale(1);
}

/* Smooth fade effect */
.heroMain .swiper-slide {
  transition: opacity 1s ease-in-out;
}

/* ====================
Gallery section
===================== */

/*
.menu-btn {
  padding: 10px 24px;
  border-radius: 999px;
  border: 1px solid rgba(255,255,255,0.08);
  background: rgba(255,255,255,0.03);
  backdrop-filter: blur(10px);
  color: #aaa;
  transition: all .4s ease;
  letter-spacing: 1px;
}

.menu-btn:hover {
  color: white;
  border-color: #ff2e93;
  box-shadow: 0 0 20px rgba(255,46,147,0.4);
}

.active-menu {
  background: linear-gradient(90deg,#ff2e93,#ff005c);
  color: white;
  border-color: transparent;
  box-shadow: 0 0 25px rgba(255,46,147,0.6);
}
*/


/* ====================
Gallery section
===================== */
#gallery{
transition: all 0.6s ease;
}
.gallery-item{
    transform: translateZ(0);
backface-visibility: hidden;
transform 0.9s cubic-bezier(.19,1,.22,1),
opacity 0.7s ease;
will-change: transform, opacity;

}
.gallery-hide{
opacity:0;
transform:scale(.92) translateY(40px);
filter: blur(6px);
pointer-events:none;
}

.gallery-show{
opacity:1;
transform:scale(1) translateY(0);
filter: blur(0);
}

.menu-btn {
  padding: 10px 26px;
  border-radius: 999px;
  /* border: 2px solid #f472b6; */
  background: rgba(255, 255, 255, 0.22);
  color: #ffe4ef;
  transition: all .4s ease;
  letter-spacing: 1px;
  box-shadow: inset 0 0 0 rgba(255,46,147,0.0);
}

.menu-btn:hover {
  background: linear-gradient(90deg,#ff2e93,#ff005c);
  color: white;
  border-color: transparent;
  box-shadow: 0 0 20px rgba(255,46,147,0.4);
}

/* Active button */
.active-menu {
  background: linear-gradient(90deg,#ff2e93,#ff005c);
  color: white;
  border-color: transparent;
  box-shadow: 0 0 25px rgba(255,46,147,0.6);
}

.gallery-item.opacity-0 {
  opacity: 0;
}

.gallery-item.scale-90 {
  transform: scale(.9);
}
.gallery-hide {
  opacity: 0;
  transform: scale(.8);
  pointer-events: none;
  position: absolute;
}
/* start lightbox */
.lb-show {
  opacity: 1 !important;
  visibility: visible !important;
}

.lb-img-show {
  transform: scale(1) !important;
  opacity: 1 !important;
}
/* end lightbox */

/* Logo text - calligraphic style only for index */
.index-logo-text {
  font-family: "Dancing Script", cursive; /* calligraphic + readable */
  font-weight: 600;
  color: white; /* text color */
}

.curv-font{
  /*font-family: 'Herr Von Muellerhoff', sans-serif;*/
  font-family: "Dancing Script", cursive;
}
  
/*
.curv-font{
  font-family: "Dancing Script", cursive;
  letter-spacing: 0.15em;
}
*/  
.social-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 60px;
  height: 60px;
  background: #111;
  border: 1px solid #222;
  border-radius: 8px;
  transition: all 0.3s ease;
}

.social-icon:hover {
  transform: translateY(-6px) scale(1.08);
  border-color: #ec4899;
  box-shadow: 0 10px 25px rgba(236,72,153,0.5);
}
#scrollTopBtn:hover {
  box-shadow: 0 0 20px rgba(236,72,153,0.6);
  transform: translateY(-4px);
}
/* Mobile adjustments */
@media(max-width:768px){
  #currentSlide{
    font-size: 24px;
  }
}